Bug 72976 - User name is checked for invalid characters at the very end of the registration process
User name is checked for invalid characters at the very end of the registrati...
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: rhn_register (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-29 13:23 EDT by Felipe Alfaro Solana
Modified: 2015-01-07 19:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 10:23:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Felipe Alfaro Solana 2002-08-29 13:23:51 EDT
Description of Problem:

After installing RedHat Limbo Beta (July, 26th), the "firstboot" system service
is launched to allow configuration of the system before logging in. During this
"firstboot", the user is allowed to register the system against RedHat Network.
The "Red Hat Update Agent" is launched and, on the "Step 2: Register or Update a
User Account" page, the application asks for the "User name". The "User name"
field should only contain alphanumeric characters, not blanks, or other special.
However, if the user enters a "User name" text containing, for example, blanks
or other special characters, the "Red Hat Update Agent" does not complain.
Instead, it allows the user to go on and, at the very end of the registration
process, an error messages states this.


Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. Install RedHat Limbo Beta. I choose to install Everything.
2. Once the system is installed, it will reboot and invoke "firstboot"
3. Choose "Yes, register this system with Red Hat Network"
4. On the "Red Hat Update Agent", at "Step 2: Register or Update a User Account"
page, enter a "User name" containing blanks, like for example "Felipe Alfaro
Solana".
5. At the very end of the registration process, you'll receive an error message
complaining that the user name is not valid.

Actual Results:
If the "User name" field contains blanks or other special characters, the user
will need to traverse all pages from the "RedHat Update Agent", instead of being
notified of the mistake at the "Step 2: Register or Update a User Account".

Expected Results:
At the "Step 2: Register or Update a User Account", if the user enters an
incorrect "User name" (i.e. it contains blanks), the agent should immediately
notify the user of this and allow her/him to correct the mistake at this point,
not at the very end of the registration process.

Additional Information:
Comment 1 Bill Nottingham 2006-08-07 13:19:24 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 2 Bill Nottingham 2006-10-18 10:23:29 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.